de.esprit.appsuite.database.dbase

## Class CollectingDBLoadMonitor<R extends DBRecord>

- java.lang.Object
- - de.esprit.appsuite.database.dbase.AbstractDBLoadMonitor<R>
  - - de.esprit.appsuite.database.dbase.CollectingDBLoadMonitor<R>

- All Implemented Interfaces:
    DBLoadMonitor<R>, Clearable

      public class CollectingDBLoadMonitor<R extends DBRecord>
      extends AbstractDBLoadMonitor<R>
      implements Clearable

  This class just contains a list that collects the loaded records.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectingDBLoadMonitor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clears the content
    `DBRecord[]` | `getDBRecordArray()`
    `R` | `getFirstRecord()`
    `int` | `getRecordCount()` Returns the number of records loaded by this LoadMonitor
    `java.util.List<R>` | `getRecords()`
    `boolean` | `hasRecords()`
    `protected boolean` | `loadedDBRecord(R record)` Needs to be overridden by subclasses to do something with the loaded record

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.AbstractDBLoadMonitor

      `cancel, getError, hasError, loadedRecord, wasCancelled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollectingDBLoadMonitor

          public CollectingDBLoadMonitor()

  - ### Method Detail

    - #### loadedDBRecord

          protected boolean loadedDBRecord(R record)
                                    throws java.lang.Exception

      Description copied from class: `AbstractDBLoadMonitor`
      Needs to be overridden by subclasses to do something with the loaded record
      Specified by:
        `loadedDBRecord` in class `AbstractDBLoadMonitor<R extends DBRecord>`
      Throws:
        `java.lang.Exception`

    - #### getFirstRecord

          public R getFirstRecord()

    - #### getRecords

          public java.util.List<R> getRecords()

    - #### getDBRecordArray

          public DBRecord[] getDBRecordArray()

    - #### clear

          public void clear()

      Description copied from interface: `Clearable`
      Clears the content
      Specified by:
        `clear` in interface `Clearable`
      Overrides:
        `clear` in class `AbstractDBLoadMonitor<R extends DBRecord>`

    - #### getRecordCount

          public int getRecordCount()

      Description copied from class: `AbstractDBLoadMonitor`
      Returns the number of records loaded by this LoadMonitor
      Overrides:
        `getRecordCount` in class `AbstractDBLoadMonitor<R extends DBRecord>`

    - #### hasRecords

          public boolean hasRecords()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.